package com.example.demo.controllers;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import java.util.Objects;

@RestController
public class CookiesTestController {

    @RequestMapping("/test")
    public String getCookies(HttpServletRequest req) {
        StringBuilder cookies = new StringBuilder();
        if (Objects.nonNull(req) && Objects.nonNull(req.getCookies())) {
            for (Cookie c : req.getCookies()) {
                cookies.append(String.format("----- %s : %s\n", c.getName(), c.getValue()));
            }
        }
        return cookies.toString();
    }
}
